BlobServiceClientBuilder Class

Definition

This class provides a fluent builder API to help aid the configuration and instantiation of BlobServiceClient and BlobServiceAsyncClient, call buildClient() and buildAsyncClient() respectively to construct an instance of the desired client.

The following information must be provided on this builder:

  • the endpoint through .endpoint(), in the format of https://{accountName}.blob.core.windows.net.
  • the credential through .credential() or .connectionString() if the container is not publicly accessible.
public final class BlobServiceClientBuilder implements TokenCredentialTrait<BlobServiceClientBuilder>, ConnectionStringTrait<BlobServiceClientBuilder>, AzureNamedKeyCredentialTrait<BlobServiceClientBuilder>, AzureSasCredentialTrait<BlobServiceClientBuilder>, HttpTrait<BlobServiceClientBuilder>, ConfigurationTrait<BlobServiceClientBuilder>, EndpointTrait<BlobServiceClientBuilder>
Inheritance
java.lang.Object
BlobServiceClientBuilder
Implements

Inherited Members

java.lang.Object.clone() java.lang.Object.equals(java.lang.Object) java.lang.Object.finalize() java.lang.Object.getClass() java.lang.Object.hashCode() java.lang.Object.notify() java.lang.Object.notifyAll() java.lang.Object.toString() java.lang.Object.wait() java.lang.Object.wait(long) java.lang.Object.wait(long,int)

Constructors

BlobServiceClientBuilder()

Creates a builder instance that is able to configure and construct BlobServiceClient and BlobServiceAsyncClient.

Methods

addPolicy(HttpPipelinePolicy pipelinePolicy)

Adds a HttpPipelinePolicy to apply on each request sent.

Note: It is important to understand the precedence order of the HttpTrait APIs. In particular, if a HttpPipeline is specified, this takes precedence over all other APIs in the trait, and they will be ignored. If no HttpPipeline is specified, a HTTP pipeline will be constructed internally based on the settings provided to this trait. Additionally, there may be other APIs in types that implement this trait that are also ignored if an HttpPipeline is specified, so please be sure to refer to the documentation of types that implement this trait to understand the full set of implications.

blobContainerEncryptionScope(BlobContainerEncryptionScope blobContainerEncryptionScope)

Sets the BlobContainerEncryptionScope that is used to determine how blob contents are encrypted on the server.

buildAsyncClient()
buildClient()
clientOptions(ClientOptions clientOptions)

Allows for setting common properties such as application ID, headers, proxy configuration, etc. Note that it is recommended that this method be called with an instance of the HttpClientOptions class (a subclass of the ClientOptions base class). The HttpClientOptions subclass provides more configuration options suitable for HTTP clients, which is applicable for any class that implements this HttpTrait interface.

Note: It is important to understand the precedence order of the HttpTrait APIs. In particular, if a HttpPipeline is specified, this takes precedence over all other APIs in the trait, and they will be ignored. If no HttpPipeline is specified, a HTTP pipeline will be constructed internally based on the settings provided to this trait. Additionally, there may be other APIs in types that implement this trait that are also ignored if an HttpPipeline is specified, so please be sure to refer to the documentation of types that implement this trait to understand the full set of implications.

configuration(Configuration configuration)

Sets the configuration object used to retrieve environment configuration values during building of the client.

connectionString(String connectionString)

Sets the connection string to connect to the service.

credential(AzureNamedKeyCredential credential)

Sets the AzureNamedKeyCredential used to authorize requests sent to the service.

credential(AzureSasCredential credential)

Sets the AzureSasCredential used to authorize requests sent to the service.

credential(TokenCredential credential)

Sets the TokenCredential used to authorize requests sent to the service. Refer to the Azure SDK for Java identity and authentication documentation for more details on proper usage of the TokenCredential type.

credential(StorageSharedKeyCredential credential)

Sets the StorageSharedKeyCredential used to authorize requests sent to the service.

customerProvidedKey(CustomerProvidedKey customerProvidedKey)

Sets the CustomerProvidedKey that is used to encrypt blob contents on the server.

encryptionScope(String encryptionScope)

Sets the encryption scope that is used to encrypt blob contents on the server.

endpoint(String endpoint)

Sets the blob service endpoint, additionally parses it for information (SAS token)

getDefaultHttpLogOptions()

Gets the default Storage allowlist log headers and query parameters.

httpClient(HttpClient httpClient)

Sets the HttpClient to use for sending and receiving requests to and from the service.

Note: It is important to understand the precedence order of the HttpTrait APIs. In particular, if a HttpPipeline is specified, this takes precedence over all other APIs in the trait, and they will be ignored. If no HttpPipeline is specified, a HTTP pipeline will be constructed internally based on the settings provided to this trait. Additionally, there may be other APIs in types that implement this trait that are also ignored if an HttpPipeline is specified, so please be sure to refer to the documentation of types that implement this trait to understand the full set of implications.

httpLogOptions(HttpLogOptions logOptions)

Sets the HttpLogOptions to use when sending and receiving requests to and from the service. If a logLevel is not provided, default value of HttpLogDetailLevel#NONE is set.

Note: It is important to understand the precedence order of the HttpTrait APIs. In particular, if a HttpPipeline is specified, this takes precedence over all other APIs in the trait, and they will be ignored. If no HttpPipeline is specified, a HTTP pipeline will be constructed internally based on the settings provided to this trait. Additionally, there may be other APIs in types that implement this trait that are also ignored if an HttpPipeline is specified, so please be sure to refer to the documentation of types that implement this trait to understand the full set of implications.

pipeline(HttpPipeline httpPipeline)

Sets the HttpPipeline to use for the service client.

Note: It is important to understand the precedence order of the HttpTrait APIs. In particular, if a HttpPipeline is specified, this takes precedence over all other APIs in the trait, and they will be ignored. If no HttpPipeline is specified, a HTTP pipeline will be constructed internally based on the settings provided to this trait. Additionally, there may be other APIs in types that implement this trait that are also ignored if an HttpPipeline is specified, so please be sure to refer to the documentation of types that implement this trait to understand the full set of implications.

The endpoint(String endpoint) is not ignored when pipeline is set.

retryOptions(RetryOptions retryOptions)

Sets the RetryOptions for all the requests made through the client.

Note: It is important to understand the precedence order of the HttpTrait APIs. In particular, if a HttpPipeline is specified, this takes precedence over all other APIs in the trait, and they will be ignored. If no HttpPipeline is specified, a HTTP pipeline will be constructed internally based on the settings provided to this trait. Additionally, there may be other APIs in types that implement this trait that are also ignored if an HttpPipeline is specified, so please be sure to refer to the documentation of types that implement this trait to understand the full set of implications.

Setting this is mutually exclusive with using retryOptions(RequestRetryOptions retryOptions). Consider using retryOptions(RequestRetryOptions retryOptions) to also set storage specific options.

retryOptions(RequestRetryOptions retryOptions)

Sets the request retry options for all the requests made through the client. Setting this is mutually exclusive with using retryOptions(RetryOptions retryOptions).

sasToken(String sasToken)

Sets the SAS token used to authorize requests sent to the service.

serviceVersion(BlobServiceVersion version)

Sets the BlobServiceVersion that is used when making API requests.

If a service version is not provided, the service version that will be used will be the latest known service version based on the version of the client library being used. If no service version is specified, updating to a newer version of the client library will have the result of potentially moving to a newer service version.

Targeting a specific service version may also mean that the service will return an error for newer APIs.

Applies to